# Class StopWatch

##### Index

### Constructors

constructor

### Accessors

elapsed
isRunning
totalElapsed

### Methods

resetAndStart
resetAndStop
resume
stop

## Constructors

### constructor

- new StopWatch(start?: boolean): StopWatch

  #### Parameters

  - start: boolean = false

  #### Returns StopWatch

## Accessors

### elapsed

- get elapsed(): number

  #### Returns number

### isRunning

- get isRunning(): boolean

  #### Returns boolean

### totalElapsed

- get totalElapsed(): number

  #### Returns number

## Methods

### resetAndStart

- resetAndStart(): void

  #### Returns void

### resetAndStop

- resetAndStop(): void

  #### Returns void

### resume

- resume(): void

  #### Returns void

### stop

- stop(): number

  #### Returns number